> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# UUID

> UUID Generator



## OpenAPI

````yaml GET /utils/v1/uuid
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    Set of end-points that help you test access to the Invopop API and generate
    data.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Utils Service API
  version: 1.0.1
servers:
  - description: production
    url: https://api.invopop.com
security: []
paths:
  /utils/v1/uuid:
    get:
      description: UUID Generator
      parameters:
        - description: UUID version to generate
          in: query
          name: v
          schema:
            description: UUID version to generate
            example: '7'
            title: Version
            type: string
        - description: Base UUID for use with versions 3 or 5
          in: query
          name: base
          schema:
            description: Base UUID for use with versions 3 or 5
            example: 6ba7b810-9dad-11d1-80b4-00c04fd430c8
            title: Base
            type: string
        - description: Key for use with UUID versions 3 or 5
          in: query
          name: key
          schema:
            description: Key for use with UUID versions 3 or 5
            example: '1001'
            title: Key
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UtilsUuidResponse'
          description: OK
components:
  schemas:
    UtilsUuidResponse:
      properties:
        uuid:
          description: The newly generated UUID.
          example: 60ae249d-c9cc-4bbf-bb2c-92f18ea92ebb
          title: UUID
          type: string
        version:
          description: UUID version used
          example: '4'
          title: Version
          type: string
      type: object

````